// ---------------------------------------------------------------------------------------------------------------------
// TESTS: Repeating Groups Of Fields ( 1 -> N arrays of containers for multiple fields )
// ---------------------------------------------------------------------------------------------------------------------

const model = {
	repeating: [
		{
			a: 1,
			b: 2,
			c: 3,
			d: 4
		},
		{
			a: 5,
			b: 6,
			c: 7,
			d: 8
		}
	],
	standard: 9
};

const meta = {
	repeating: {
		label: 'Repeating Group',
		seed: { class: 'short-field' },
		minRepeat: 1,
		maxRepeat: 5,
		initialRepeat: 3,
		showAddControl: true,
		showDeleteControl: true,
		display: 'ALL', // ALL or SINGLE,
		primaryField: 'a',
		meta: [
			{
				a: {},
				b: { type: 'textarea', label: 'Bee' },
				c: {},
				d: {},
				e: { type: 'textarea', label: 'Eeezer Good' },
			}
		]
	}
};

export { model, meta };