// ---------------------------------------------------------------------------------------------------------------------
// TESTS: Repeating Single Fields (i.e. fields not part of a repeating container group)
// ---------------------------------------------------------------------------------------------------------------------

import { Validators } from '@angular/forms';

const model = {};

const meta = {
	repeatingField: {
		label: 'Email Address',
		type: 'text',
		minRepeat: 1,
		maxRepeat: 5,
		initialRepeat: 3,
		showAddControl: true,
		showDeleteControl: true,
		validators: Validators.email
	}
};

export { model, meta };
