// ---------------------------------------------------------------------------------------------------------------------
// TESTS: Lazy combination of Automatic MetaData with Extra MetaData
// ---------------------------------------------------------------------------------------------------------------------

const model = {
	a: 'Value 1',
	b: 'Value 2',
	c: 'Maybe',
	d: {
		e: 444,
		f: 555,
		g: {
			h: true,
			i: false
		}
	},
	z: 'THE END'
};

const meta = {
	b: { type: 'checkbutton' },
	c: { label: 'Property Three', type: 'radio', options: ['Yes', 'No', 'Maybe'], horizontal: 1 },
	d: {
		meta: {
			e: { type: 'radio', 'label': 'Does it work yet?' },
			f: { type: 'datepicker' }
		}
	}
};

export { model, meta };

