// ---------------------------------------------------------------------------------------------------------------------
// TESTS: Deep nesting
// ---------------------------------------------------------------------------------------------------------------------

const model = {
	dynaformtest: {
		a: 'Value 1',
		b: 'Value 2',
		c: 'Maybe',
		d: {
			e: true,
			g: {
				h: true,
				i: false
			}
		},
		z: 'THE END'
	}
};

const meta = {
	dynaformtest: {
		meta: {
			b: { type: 'checkbutton' },
			c: { label: 'Property Three', type: 'radio', options: ['Yes', 'No', 'Maybe'], horizontal: 1 },
			d: {
				meta: {
					e: { type: 'radio', 'label': 'Does it work yet?' },
					f: { type: 'datepicker' }
				}
			}
		}
	}
};

export { model, meta };
