import { ControlValueAccessor } from '@angular/forms';
import { NativeInputComponent } from './native-input.component';

export abstract class CustomInputComponent extends NativeInputComponent implements ControlValueAccessor {

	propagateChange = (_: any) => {};

	writeValue(value: any): void {};

	registerOnChange(fn: any): void {
		this.propagateChange = fn;
	}

	registerOnTouched(fn: any): void {
		// this.propagateChange = fn;
	}

}
